VIN查询车辆信息
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 接口key, 在个人中心->我的数据,接口名称上方查看 | |
| vin | 是 | string | 车架号 |
请求代码示例:
curl -k -i "https://apis.juhe.cn/carinfo/vinInfo?key=key&vin=xxx"
<?php
/**
* 2062-VIN查询车辆信息 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://apis.juhe.cn/carinfo/vinInfo"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'vin'=> 'xxx',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 2062-VIN查询车辆信息 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://apis.juhe.cn/carinfo/vinInfo' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'vin': 'xxx',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://apis.juhe.cn/carinfo/vinInfo"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("vin", "xxx")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://apis.juhe.cn/carinfo/vinInfo";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "vin", "xxx");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://apis.juhe.cn/carinfo/vinInfo'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
vin: 'xxx',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://apis.juhe.cn/carinfo/vinInfo";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("vin", "xxx");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://apis.juhe.cn/carinfo/vinInfo"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"vin": @"xxx",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| error_code | int | 返回码 | |
| reason | string | 返回说明 | |
| result | object | 返回结果集 | |
| orderid | string | 单号 | |
| vin | string | 车架号 | |
| amMainBrandName | string | 一级品牌名称 | |
| amBrandName | string | 二级品牌名称 | |
| amSeriesName | string | 车系名称 | |
| amVehicleName | string | 销售车型名称 | |
| amYear | string | 年款 | |
| vehCateNames | string | 车型大类 | |
| vehCateOneNames | string | 车型一级分类 | |
| vehCateTwoNames | string | 车型二级分类 | |
| price | string | 车辆厂商指导价(元) | |
| purchasePrice | string | 新车市场价 | |
| displacement | string | 排量(L) | |
| powerType | string | 动力类型 | |
| seats | string | 座位数 | |
| bodyType | string | 车身结构 | |
| airIntakeType | string | 进气形式 | |
| drivenType | string | 驱动形式 | |
| fuelJetType | string | 燃油喷射形式 | |
| countriesName | string | 国别名称 | |
| marketDate | string | 上市年份 | |
| stopDate | string | 停产日期 | |
| cfgLevel | string | 配置等级 | |
| vehicleSize | string | 外形尺寸/长*宽*高(mm) | |
| trackFront | string | 前轮距(mm) | |
| trackRear | string | 后轮距(mm) | |
| wheelBase | string | 轴距(mm) | |
| fullWeight | string | 整备质量(kg) | |
| doorNum | string | 车门数 | |
| engineModel | string | 发动机型号 | |
| engineDesc | string | 发动机描述 | |
| roz | string | 燃油标号 | |
| effluentStandard | string | 排放标准 | |
| power | string | 功率 | |
| gearNum | string | 变速器档数(个) | |
| gearboxType | string | 变速器类型 | |
| frontTyreSize | string | 前轮胎规格 | |
| rearTyreSize | string | 后轮胎规格 | |
| absFlag | string | ABS 标识 | |
| arrayType | string | 气缸排列形式 | |
| valveNum | string | 发动机气门数(个) | |
| importFlag | string | 国产/进口 | |
| amVinYear | string | VIN 码出厂年份 | |
| chassisModel | string | 底盘号 | |
| amGroupName | string | 车组名称 | |
| publicationNos | string | 公告号 |
JSON返回示例:JSON在线格式化工具 >
{
"reason": "成功",
"result": {
"orderid": "JH862260716101837y30vU",
"vin": "LBV21AF05MSZ88595",
"amMainBrandName": "宝马",
"amBrandName": "华晨宝马",
"amSeriesName": "5系",
"amVehicleName": "2021款 525Li 2.0T 自动 M运动套装",
"amYear": "2021",
"vehCateNames": "乘用车",
"vehCateOneNames": "轿车",
"vehCateTwoNames": "中大型轿车(C)",
"price": "426900",
"purchasePrice": "405000",
"displacement": "2.0",
"powerType": "汽油",
"seats": "5",
"bodyType": "三厢车",
"airIntakeType": "涡轮增压",
"drivenType": "前置后驱",
"fuelJetType": "直喷",
"countriesName": "德国",
"marketDate": "2020-09-26",
"stopDate": "2021-05-21",
"cfgLevel": "M运动套装",
"vehicleSize": "5106*1868*1500",
"trackFront": "",
"trackRear": "",
"wheelBase": "3105",
"fullWeight": "1705",
"doorNum": "四门",
"engineModel": "B48B20C",
"engineDesc": "2.0T",
"roz": "97号(京95号)",
"effluentStandard": "国Ⅵ",
"power": "135",
"gearNum": "8",
"gearboxType": "手自一体",
"frontTyreSize": "245/45 R18",
"rearTyreSize": "245/45 R18",
"absFlag": "有",
"arrayType": "L",
"valveNum": "4",
"importFlag": "合资",
"amVinYear": "2021",
"chassisModel": "G38",
"amGroupName": "(七代-改)5系 G38 LCI 长轴距三厢(20.09-24.01)",
"publicationNos": "BMW7201LN"
},
"error_code": 0
}
{
"reason": "查无记录",
"result": {
"orderid": "JH862260716131850bACa6"
},
"error_code": 286204
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 286201 | 车架号格式错误 | |
| 286202 | 网络错误 | |
| 286203 | 查询失败 | |
| 286204 | 查无记录 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号